From 8d0d0ceaaa8aee50205de1f78827bb65a839818c Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 2 Nov 2012 11:50:17 -0400
Subject: [PATCH] Updated favicon.ico paths.

---
 base/common/shared/webapps/ROOT/index.jsp                               | 2 +-
 dogtag/ca-ui/shared/webapps/ca/404.html                                 | 2 +-
 dogtag/ca-ui/shared/webapps/ca/500.html                                 | 2 +-
 dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template    | 2 +-
 dogtag/ca-ui/shared/webapps/ca/admin/ca/sendCookie.template             | 2 +-
 dogtag/ca-ui/shared/webapps/ca/agent/ca/index.html                      | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html                         | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html        | 2 +-
 dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html       | 2 +-
 dogtag/ca-ui/shared/webapps/ca/services.template                        | 2 +-
 dogtag/common-ui/shared/admin/console/config/config_addhsm.vm           | 2 +-
 dogtag/common-ui/shared/admin/console/config/login.vm                   | 2 +-
 .../common-ui/shared/admin/console/config/securitydomainloginpanel.vm   | 2 +-
 dogtag/common-ui/shared/admin/console/config/wizard.vm                  | 2 +-
 dogtag/kra-ui/shared/webapps/kra/404.html                               | 2 +-
 dogtag/kra-ui/shared/webapps/kra/500.html                               | 2 +-
 dogtag/kra-ui/shared/webapps/kra/agent/kra/index.html                   | 2 +-
 dogtag/kra-ui/shared/webapps/kra/services.template                      | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/404.html                             | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/500.html                             | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/index.html                | 2 +-
 dogtag/ocsp-ui/shared/webapps/ocsp/services.template                    | 2 +-
 dogtag/ra-ui/shared/docroot/404.html                                    | 2 +-
 dogtag/ra-ui/shared/docroot/500.html                                    | 2 +-
 dogtag/ra-ui/shared/docroot/admin/group/add_new.vm                      | 2 +-
 dogtag/ra-ui/shared/docroot/admin/group/index.vm                        | 2 +-
 dogtag/ra-ui/shared/docroot/admin/group/read.vm                         | 2 +-
 dogtag/ra-ui/shared/docroot/admin/index.vm                              | 2 +-
 dogtag/ra-ui/shared/docroot/admin/user/add_new.vm                       | 2 +-
 dogtag/ra-ui/shared/docroot/admin/user/index.vm                         | 2 +-
 dogtag/ra-ui/shared/docroot/admin/user/read.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/agent/cert/index.vm                         | 2 +-
 dogtag/ra-ui/shared/docroot/agent/cert/read.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/agent/cert/revoke.vm                        | 2 +-
 dogtag/ra-ui/shared/docroot/agent/cert/submit.vm                        | 2 +-
 dogtag/ra-ui/shared/docroot/agent/error.vm                              | 2 +-
 dogtag/ra-ui/shared/docroot/agent/index.vm                              | 2 +-
 dogtag/ra-ui/shared/docroot/agent/request/index.vm                      | 2 +-
 dogtag/ra-ui/shared/docroot/agent/request/op.vm                         | 2 +-
 dogtag/ra-ui/shared/docroot/agent/request/read.vm                       | 2 +-
 dogtag/ra-ui/shared/docroot/ee/agent/enroll.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/ee/agent/index.vm                           | 2 +-
 dogtag/ra-ui/shared/docroot/ee/agent/new.vm                             | 2 +-
 dogtag/ra-ui/shared/docroot/ee/agent/start.vm                           | 2 +-
 dogtag/ra-ui/shared/docroot/ee/agent/submit.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/ee/error.vm                                 | 2 +-
 dogtag/ra-ui/shared/docroot/ee/index.vm                                 | 2 +-
 dogtag/ra-ui/shared/docroot/ee/request/getcert.vm                       | 2 +-
 dogtag/ra-ui/shared/docroot/ee/request/index.vm                         | 2 +-
 dogtag/ra-ui/shared/docroot/ee/request/status.vm                        | 2 +-
 dogtag/ra-ui/shared/docroot/ee/scep/enroll.vm                           | 2 +-
 dogtag/ra-ui/shared/docroot/ee/scep/index.vm                            | 2 +-
 dogtag/ra-ui/shared/docroot/ee/scep/installer.vm                        | 2 +-
 dogtag/ra-ui/shared/docroot/ee/scep/manager.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/ee/scep/submit.vm                           | 2 +-
 dogtag/ra-ui/shared/docroot/ee/server/admin.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/ee/server/index.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/ee/server/submit.vm                         | 2 +-
 dogtag/ra-ui/shared/docroot/ee/user/index.vm                            | 2 +-
 dogtag/ra-ui/shared/docroot/ee/user/renew.vm                            | 2 +-
 dogtag/ra-ui/shared/docroot/ee/user/renewal.vm                          | 2 +-
 dogtag/ra-ui/shared/docroot/ee/user/submit.vm                           | 2 +-
 dogtag/ra-ui/shared/docroot/ee/user/user.vm                             | 2 +-
 dogtag/ra-ui/shared/docroot/index.vm                                    | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_addhsm.vm    | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm        | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_hsm.vm       | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_join.vm      | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_rootca.vm    | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm            | 2 +-
 .../shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm  | 2 +-
 dogtag/ra-ui/shared/docroot/ra/admin/console/config/wizard.vm           | 2 +-
 dogtag/tks-ui/shared/webapps/tks/404.html                               | 2 +-
 dogtag/tks-ui/shared/webapps/tks/500.html                               | 2 +-
 dogtag/tks-ui/shared/webapps/tks/agent/tks/index.html                   | 2 +-
 dogtag/tks-ui/shared/webapps/tks/services.template                      | 2 +-
 dogtag/tps-ui/shared/docroot/404.html                                   | 2 +-
 dogtag/tps-ui/shared/docroot/500.html                                   | 2 +-
 dogtag/tps-ui/shared/docroot/index.vm                                   | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/addConfig.template                 | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/addResults.template                | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template         | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template           | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template                | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template      | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template       | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/delete.template                    | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template             | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/doToken.template                   | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template            | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/edit.template                      | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/editConfig.template                | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/editResults.template               | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/editUser.template                  | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/error.template                     | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/index.template                     | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template                | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template             | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/new.template                       | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/newUser.template                   | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/revoke.template                    | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/search.template                    | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template            | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template       | 2 +-
 .../tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template   | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template     | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template               | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template        | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template         | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template  | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchResults.template             | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchUser.template                | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template         | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template              | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/selfTest.template                  | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template           | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/show.template                      | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template                 | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/showCert.template                  | 2 +-
 dogtag/tps-ui/shared/docroot/tokendb/userDelete.template                | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm  | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm      | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm     | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm    | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm  | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm          | 2 +-
 .../shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm | 2 +-
 dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm         | 2 +-
 128 files changed, 128 insertions(+), 128 deletions(-)

diff --git a/base/common/shared/webapps/ROOT/index.jsp b/base/common/shared/webapps/ROOT/index.jsp
index f45272f54eaf1d47ac319d2e5fb3a34e6ae42ffd..ed5b4611ed8a19dabb926ab891ab40de1f88f442 100644
--- a/base/common/shared/webapps/ROOT/index.jsp
+++ b/base/common/shared/webapps/ROOT/index.jsp
@@ -20,7 +20,7 @@
 <head>
 <title>Certificate System</title>
 <meta http-equiv=Content-Type content="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/pki/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <link rel="stylesheet" href="/pki/css/pki-base.css" type="text/css" />
 </head>
 <body bgcolor="#FFFFFF" link="#666699" vlink="#666699" alink="#333366">
diff --git a/dogtag/ca-ui/shared/webapps/ca/404.html b/dogtag/ca-ui/shared/webapps/ca/404.html
index bd04559aaa325b69658bf990501a35ff38dfd5f2..406e6a4fdbaf8933e421665fd41af6260eed6bb1 100755
--- a/dogtag/ca-ui/shared/webapps/ca/404.html
+++ b/dogtag/ca-ui/shared/webapps/ca/404.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/ca/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/ca-ui/shared/webapps/ca/500.html b/dogtag/ca-ui/shared/webapps/ca/500.html
index a775341e5611a028c5c3af88b6e6e7b2de0d7f35..ecc2cb8691a72125b80a3859463fa8e65087ac7d 100755
--- a/dogtag/ca-ui/shared/webapps/ca/500.html
+++ b/dogtag/ca-ui/shared/webapps/ca/500.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/ca/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template b/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template
index 7d61a86024cbbcb8fb092bd4bf988c36e693b428..206127f9044980310c1059f723ebb36e78347149 100644
--- a/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template
+++ b/dogtag/ca-ui/shared/webapps/ca/admin/ca/securitydomainlogin.template
@@ -22,7 +22,7 @@
     
     <title>CA Admin Security Domain Login</title>
 
-    <link rel="shortcut icon" href="/ca/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/ca/css/pki-base.css" type="text/css" />
 <META http-equiv=Content-Type content="text/html; charset=UTF-8">
   </head>
diff --git a/dogtag/ca-ui/shared/webapps/ca/admin/ca/sendCookie.template b/dogtag/ca-ui/shared/webapps/ca/admin/ca/sendCookie.template
index 8f2e62e4d94c6540542e9f06a2cbb6e26b763a4e..cbe086b02d7e9902720e989f918bab145f075b41 100644
--- a/dogtag/ca-ui/shared/webapps/ca/admin/ca/sendCookie.template
+++ b/dogtag/ca-ui/shared/webapps/ca/admin/ca/sendCookie.template
@@ -19,7 +19,7 @@
 <html>
 <CMS_TEMPLATE>
 <title>CA Admin Send Cookie</title>
-    <link rel="shortcut icon" href="/ca/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/ca/css/rhn-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ca-ui/shared/webapps/ca/agent/ca/index.html b/dogtag/ca-ui/shared/webapps/ca/agent/ca/index.html
index 05756ed3a47bb2268ba25b480128c7b7bf37c4e1..9dc5799770b04d4c0b707bda589cf206f5203b47 100644
--- a/dogtag/ca-ui/shared/webapps/ca/agent/ca/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/agent/ca/index.html
@@ -20,7 +20,7 @@
 <head>
 <title>CA Agent</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link rel="shortcut icon" href="/ca/agent/graphics/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 </head>
 
 <frameset rows="105,1*" frameborder="NO" border="0" cols="*"> 
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
index 4388c58c679580532d674b15344709e9d59860ac..3e97a1f2beeed7206183b1a34804ede4630bcf0d 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/index.html
@@ -20,7 +20,7 @@
 <head>
 <title>CA End-Entity</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link rel="shortcut icon" href="/ca/ee/graphics/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <script lang="javascript" src="/ca/ee/dynamicVars.js"></script>
 <script lang="javascript" src="/ca/ee/cms-funcs.js"></script>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
index d0d823416436f9dd06803854bc302756f496a35a..ce89cf37b8c64abf5e5c1979007e82e7bcf36c7f 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/policyEnrollment/index.html
@@ -19,7 +19,7 @@
 <head>
 <title>CA End-Entity</title>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/ca/ee/graphics/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <script lang="javascript" src="/dynamicVars.js"></script>
 <script lang="javascript" src="../cms-funcs.js"></script>
diff --git a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
index efcc3c67d4f20cf2a4f9e48f51c68dab57b775c6..6090457db8e4a34a7829f9fc2f4c90435622d28a 100644
--- a/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
+++ b/dogtag/ca-ui/shared/webapps/ca/ee/ca/profileEnrollment/index.html
@@ -19,7 +19,7 @@
 <head>
 <title>CA End-Entity</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link rel="shortcut icon" href="/ca/ee/graphics/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <script lang="javascript" src="/dynamicVars.js"></script>
 <script lang="javascript" src="../cms-funcs.js"></script>
diff --git a/dogtag/ca-ui/shared/webapps/ca/services.template b/dogtag/ca-ui/shared/webapps/ca/services.template
index c3238e7cd1bc0195a73a3623e85aa00ed226ae72..e068a9b386c3767582399828b8e6cb86105b0568 100644
--- a/dogtag/ca-ui/shared/webapps/ca/services.template
+++ b/dogtag/ca-ui/shared/webapps/ca/services.template
@@ -19,7 +19,7 @@
 <html>
 <CMS_TEMPLATE>
 <title>CA Services</title>
-    <link rel="shortcut icon" href="img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/common-ui/shared/admin/console/config/config_addhsm.vm b/dogtag/common-ui/shared/admin/console/config/config_addhsm.vm
index c10f6c18ed2b55958903cbd40e4a4790d79a1970..a670dc12f5239f80e5e66aa57f32fea62e600110 100644
--- a/dogtag/common-ui/shared/admin/console/config/config_addhsm.vm
+++ b/dogtag/common-ui/shared/admin/console/config/config_addhsm.vm
@@ -31,7 +31,7 @@
 
 </SCRIPT>
 
-    <link rel="shortcut icon" href="../img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="../../../css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/common-ui/shared/admin/console/config/login.vm b/dogtag/common-ui/shared/admin/console/config/login.vm
index 98a7c5bf59b88c59f5bd6f4299cb364bfe7b71cb..b8092893b07f4f5e8b4900ea46cca5ee8addd4c7 100644
--- a/dogtag/common-ui/shared/admin/console/config/login.vm
+++ b/dogtag/common-ui/shared/admin/console/config/login.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="../img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="../../../css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm b/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm
index d3c5e901b478dd29dd6d0aff9d82aa352b5a9b0a..c675f00f9824eaf38a23cf0da1105170f694f502 100644
--- a/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm
+++ b/dogtag/common-ui/shared/admin/console/config/securitydomainloginpanel.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/ca/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/ca/css/pki-base.css" type="text/css" />
 <META http-equiv=Content-Type content="text/html; charset=UTF-8">
   </head>
diff --git a/dogtag/common-ui/shared/admin/console/config/wizard.vm b/dogtag/common-ui/shared/admin/console/config/wizard.vm
index 22574a970bca333afcf0b8cadd22dc6e2de7b8fb..e034b3dbbd3ac7008b89387f40efd10c20390bec 100644
--- a/dogtag/common-ui/shared/admin/console/config/wizard.vm
+++ b/dogtag/common-ui/shared/admin/console/config/wizard.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="../img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="../../../css/pki-base.css" type="text/css" />
 
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
diff --git a/dogtag/kra-ui/shared/webapps/kra/404.html b/dogtag/kra-ui/shared/webapps/kra/404.html
index 2e7e59cdd5336f8882fa17fe3b35b141b5ad12cc..5d31f52f0c83cfc0e2b8e25c9550836ff473c2dc 100755
--- a/dogtag/kra-ui/shared/webapps/kra/404.html
+++ b/dogtag/kra-ui/shared/webapps/kra/404.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/kra/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/kra-ui/shared/webapps/kra/500.html b/dogtag/kra-ui/shared/webapps/kra/500.html
index 224cec1c8ad6952df064ce93e20186529afb5cb5..3f7883909ef70577e7fe96ebae84403287e2553a 100755
--- a/dogtag/kra-ui/shared/webapps/kra/500.html
+++ b/dogtag/kra-ui/shared/webapps/kra/500.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/kra/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/kra-ui/shared/webapps/kra/agent/kra/index.html b/dogtag/kra-ui/shared/webapps/kra/agent/kra/index.html
index 3ca0f89590f2bb39d04c057f8353659c45ae61c1..3caedfb99b640f891b65be97ac1ab4e322b47d23 100644
--- a/dogtag/kra-ui/shared/webapps/kra/agent/kra/index.html
+++ b/dogtag/kra-ui/shared/webapps/kra/agent/kra/index.html
@@ -3,7 +3,7 @@
 <head>
 <title>DRM Agent</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link rel="shortcut icon" href="/kra/agent/graphics/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 </head>
 
 <frameset rows="105,1*" frameborder="NO" border="0"> 
diff --git a/dogtag/kra-ui/shared/webapps/kra/services.template b/dogtag/kra-ui/shared/webapps/kra/services.template
index e28887b70525a3153633725d6cf648496b21a715..731ce3cc105096e28a851b7142a5b1222c6f2043 100644
--- a/dogtag/kra-ui/shared/webapps/kra/services.template
+++ b/dogtag/kra-ui/shared/webapps/kra/services.template
@@ -19,7 +19,7 @@
 <html>
 <CMS_TEMPLATE>
 <title>DRM Services</title>
-    <link rel="shortcut icon" href="img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/404.html b/dogtag/ocsp-ui/shared/webapps/ocsp/404.html
index a337de32330b9fecc4b7114735eb8c433306f5bc..4cf46fe1bcc07ee189975fcd38b6edb6678b1804 100755
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/404.html
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/404.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/ocsp/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/500.html b/dogtag/ocsp-ui/shared/webapps/ocsp/500.html
index 1e7fbb43afc835dd2a70d890f6af62d30916abbe..14b2c50fc3d352e451e80b44728218322d9a7257 100755
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/500.html
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/500.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/ocsp/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/index.html b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/index.html
index cd4ea326a732654bf6c5d5d0dfd1251edabc8e5b..b94135258d155e73c9995d569761451aeb0aef80 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/index.html
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/agent/ocsp/index.html
@@ -20,7 +20,7 @@
 <head>
 <title>OCSP Agent</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
-<link rel="shortcut icon" href="/ocsp/agent/graphics/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 </head>
 
 <frameset rows="105,1*" frameborder="NO" border="0" cols="*"> 
diff --git a/dogtag/ocsp-ui/shared/webapps/ocsp/services.template b/dogtag/ocsp-ui/shared/webapps/ocsp/services.template
index 74783cd3ba8eb297eebceb8b25662664078c7732..4749f4f0fb5c2f8dfac78567f2efe064ab1d15bf 100644
--- a/dogtag/ocsp-ui/shared/webapps/ocsp/services.template
+++ b/dogtag/ocsp-ui/shared/webapps/ocsp/services.template
@@ -19,7 +19,7 @@
 <html>
 <CMS_TEMPLATE>
 <title>OCSP Services</title>
-    <link rel="shortcut icon" href="img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/404.html b/dogtag/ra-ui/shared/docroot/404.html
index ec42699f2c794dd5df157a7a16ba919b802f73e5..f7518fa8214f6e7002b4890e348dd92767f18a36 100755
--- a/dogtag/ra-ui/shared/docroot/404.html
+++ b/dogtag/ra-ui/shared/docroot/404.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/ra/admin/console/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/ra-ui/shared/docroot/500.html b/dogtag/ra-ui/shared/docroot/500.html
index f25ba430afd4b625bda0f41d941eb258ddbc205f..fd39ba999502967cbff342803b00facb1d114876 100755
--- a/dogtag/ra-ui/shared/docroot/500.html
+++ b/dogtag/ra-ui/shared/docroot/500.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/ra/admin/console/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/ra-ui/shared/docroot/admin/group/add_new.vm b/dogtag/ra-ui/shared/docroot/admin/group/add_new.vm
index 70d0d16ac8c01963a68e549f16c3be66389a89a7..406db0b9b718efd18d1dd44581b78334fb119774 100644
--- a/dogtag/ra-ui/shared/docroot/admin/group/add_new.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/group/add_new.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Add New Group</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/admin/group/index.vm b/dogtag/ra-ui/shared/docroot/admin/group/index.vm
index 6f25e37406f53710fba91a4740ebea57e7d9f6b0..a096043c3104e430d39a192409e9301ebfd8d7c2 100644
--- a/dogtag/ra-ui/shared/docroot/admin/group/index.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/group/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Admin</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/admin/group/read.vm b/dogtag/ra-ui/shared/docroot/admin/group/read.vm
index c780ab09a4ea46e5a15982fcdbb61765b2bfd146..ab6cea442fb7825c4cd2f8479a42cd39c549761d 100644
--- a/dogtag/ra-ui/shared/docroot/admin/group/read.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/group/read.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Groups</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/admin/index.vm b/dogtag/ra-ui/shared/docroot/admin/index.vm
index b14712e9d7fc28bcb130646b429fc2a7cceaf862..b228609048e4fb0db8dae49bcc294af97172d579 100644
--- a/dogtag/ra-ui/shared/docroot/admin/index.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Admin</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/admin/user/add_new.vm b/dogtag/ra-ui/shared/docroot/admin/user/add_new.vm
index 2915c8ff354e882e4d270a099fef7ca9c987bf6a..3469826c752ac6cfa1d576ffbf8a4529ec9dd3c5 100644
--- a/dogtag/ra-ui/shared/docroot/admin/user/add_new.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/user/add_new.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Add New User</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/admin/user/index.vm b/dogtag/ra-ui/shared/docroot/admin/user/index.vm
index a6ff73721718116b95ecef1ff1ff289df5d2ba7d..dca8b6ad8058648940e38faadb55dfa62259ca22 100644
--- a/dogtag/ra-ui/shared/docroot/admin/user/index.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/user/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Admin</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/admin/user/read.vm b/dogtag/ra-ui/shared/docroot/admin/user/read.vm
index 1fb6358aa71751077faebf73a86218827acc1eee..80f71fd2253c51695fb11d87df0449fdb295577c 100644
--- a/dogtag/ra-ui/shared/docroot/admin/user/read.vm
+++ b/dogtag/ra-ui/shared/docroot/admin/user/read.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Users</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/cert/index.vm b/dogtag/ra-ui/shared/docroot/agent/cert/index.vm
index 77c73f69a36d9952a20b9faf22773f39733b24ae..9ac58b3c620f2232c89e5438e50d4f452ea0aca9 100644
--- a/dogtag/ra-ui/shared/docroot/agent/cert/index.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/cert/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Agent</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/cert/read.vm b/dogtag/ra-ui/shared/docroot/agent/cert/read.vm
index f315dd7b008d930da7a8ee9bfe44b7ad884d1db0..9643bd81cf1c2349936e2280bbc2e3ed9bb23bf7 100644
--- a/dogtag/ra-ui/shared/docroot/agent/cert/read.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/cert/read.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Certificates</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/cert/revoke.vm b/dogtag/ra-ui/shared/docroot/agent/cert/revoke.vm
index 14358b48595577e73cb76d1e712596111ca8db7f..08687d0e5677ff6ce698e2d2a7656dcf940dcea7 100644
--- a/dogtag/ra-ui/shared/docroot/agent/cert/revoke.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/cert/revoke.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Certificate Revocation</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/cert/submit.vm b/dogtag/ra-ui/shared/docroot/agent/cert/submit.vm
index 6e7b90e2a7f6cc219fbc2343436333dc7af7c579..835efb010f5a2a5ac21cff6e481d21ee8c7d5ec8 100644
--- a/dogtag/ra-ui/shared/docroot/agent/cert/submit.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/cert/submit.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Certificate Revocation Submission</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/error.vm b/dogtag/ra-ui/shared/docroot/agent/error.vm
index 9dd0f28ad1fe6486230d6c59b46ac316a5216b91..da9376587d97cfd75eb37fe34b12abcb5ebd3de2 100644
--- a/dogtag/ra-ui/shared/docroot/agent/error.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/error.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Agent Error!</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/index.vm b/dogtag/ra-ui/shared/docroot/agent/index.vm
index dd6b19fae4e1bcc14864424b2aca15024cf7e681..63b34f36ae24c80b719e0eed73e04e11a80535a0 100644
--- a/dogtag/ra-ui/shared/docroot/agent/index.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Agent</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/request/index.vm b/dogtag/ra-ui/shared/docroot/agent/request/index.vm
index 5785718b3db503d61db1f5c49de5fa3f380eef98..932bd7cad48ecee2c031da95b92e8398bb1b277a 100644
--- a/dogtag/ra-ui/shared/docroot/agent/request/index.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/request/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Agent</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/request/op.vm b/dogtag/ra-ui/shared/docroot/agent/request/op.vm
index 2d896363490e78e92ba827bdb2164f0a08df9275..08f8be2adb48f8f00824fb58f96d578860915cf9 100644
--- a/dogtag/ra-ui/shared/docroot/agent/request/op.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/request/op.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Certificate Request Operations</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/agent/request/read.vm b/dogtag/ra-ui/shared/docroot/agent/request/read.vm
index dd5879ae3923227c05ea7265d8578a79e7839f48..d8aa66cec053a7dfe254187c9a4882ee0045c84a 100644
--- a/dogtag/ra-ui/shared/docroot/agent/request/read.vm
+++ b/dogtag/ra-ui/shared/docroot/agent/request/read.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Certificate Requests</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/agent/enroll.vm b/dogtag/ra-ui/shared/docroot/ee/agent/enroll.vm
index a8dacbfbecb32c5884d04c33294cf17f2daa05b4..68a8517a6d4fea53154c688c424cb5b9344134a9 100644
--- a/dogtag/ra-ui/shared/docroot/ee/agent/enroll.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/agent/enroll.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Agent Certificate Enrollment</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/agent/index.vm b/dogtag/ra-ui/shared/docroot/ee/agent/index.vm
index 003ce2ca2a1578a33c184f6841cc1d433a876325..44792ca156d21d8c65513b91122bd5e76e4bede6 100644
--- a/dogtag/ra-ui/shared/docroot/ee/agent/index.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/agent/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/agent/new.vm b/dogtag/ra-ui/shared/docroot/ee/agent/new.vm
index 3cbf754b04caf3036d372d0f835709d6ece09062..8900bc16095fd98b3db9805f42574c46c525f6db 100644
--- a/dogtag/ra-ui/shared/docroot/ee/agent/new.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/agent/new.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Agent Certificate Request</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/agent/start.vm b/dogtag/ra-ui/shared/docroot/ee/agent/start.vm
index 32adbb57f89e4dc3d5a30239d5b436cee8e41e7d..6622136bc745a6b63c56f21b933abb79ee691f2e 100644
--- a/dogtag/ra-ui/shared/docroot/ee/agent/start.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/agent/start.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Agent Certificate Request Using a One-Time Pin</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/agent/submit.vm b/dogtag/ra-ui/shared/docroot/ee/agent/submit.vm
index 3bbdf9ad0158f9fd3216c5bfef5b70e318378654..bc74a553664cbd74c4f75695cad67b2eedd5c25a 100644
--- a/dogtag/ra-ui/shared/docroot/ee/agent/submit.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/agent/submit.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Agent Certificate Request Submission</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/error.vm b/dogtag/ra-ui/shared/docroot/ee/error.vm
index 1ca3a37ed07a5314caa4d597cec1d8fb69a1a1dd..775c29b2dc2fa116792125e64e0c5ceec7ab2be7 100644
--- a/dogtag/ra-ui/shared/docroot/ee/error.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/error.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity Error!</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/index.vm b/dogtag/ra-ui/shared/docroot/ee/index.vm
index c63d186c52664a7653462da86b2004f8166f7252..c56910b0cc13e089347721ce1645a1bd9a115051 100644
--- a/dogtag/ra-ui/shared/docroot/ee/index.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/request/getcert.vm b/dogtag/ra-ui/shared/docroot/ee/request/getcert.vm
index 44d5bd6b9d8d0488d960c7e6d6e30e596827c473..7c2de34c997aa6baf16ed1ea1d12629617674ef0 100644
--- a/dogtag/ra-ui/shared/docroot/ee/request/getcert.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/request/getcert.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Import Certificate</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/request/index.vm b/dogtag/ra-ui/shared/docroot/ee/request/index.vm
index 003b0c8c33111b240e0e9840ae3deaf5afd58500..c9651b62a2069f9ed1d8c4e64786e68dcf08de4e 100644
--- a/dogtag/ra-ui/shared/docroot/ee/request/index.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/request/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/request/status.vm b/dogtag/ra-ui/shared/docroot/ee/request/status.vm
index 0b76168ead1827fdd305b5406a9638013df4e5ec..702791d98b1bf9cfd545692c914ca894a8e3d79e 100644
--- a/dogtag/ra-ui/shared/docroot/ee/request/status.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/request/status.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Certificate Request Status</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/scep/enroll.vm b/dogtag/ra-ui/shared/docroot/ee/scep/enroll.vm
index 0864f0aba4ea5097a687d4463979d2caa2f1d112..6b1bf9099533d081d9573282309dda223ceb237d 100644
--- a/dogtag/ra-ui/shared/docroot/ee/scep/enroll.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/scep/enroll.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>SCEP Router Enrollment</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/scep/index.vm b/dogtag/ra-ui/shared/docroot/ee/scep/index.vm
index 5c5b0db1ab779cad1fe270c3de616b08ff57f4db..2ab4470ed64a3772fa07faba41a425f4efc87f88 100644
--- a/dogtag/ra-ui/shared/docroot/ee/scep/index.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/scep/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/scep/installer.vm b/dogtag/ra-ui/shared/docroot/ee/scep/installer.vm
index 56754449571b2144577382e445cf3a043dbe310d..3391a9a7364e7b3078deae7e98c12e9b4e391f99 100644
--- a/dogtag/ra-ui/shared/docroot/ee/scep/installer.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/scep/installer.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>SCEP Router Request Using a One-Time Pin</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/scep/manager.vm b/dogtag/ra-ui/shared/docroot/ee/scep/manager.vm
index a9b0717bb661f7a2a1cdd54471b17a4fe030bf86..68d124eb4eada07c05a6a395c3aa13ccbef3185d 100644
--- a/dogtag/ra-ui/shared/docroot/ee/scep/manager.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/scep/manager.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>SCEP Router Manager Request for a One-Time Pin</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/scep/submit.vm b/dogtag/ra-ui/shared/docroot/ee/scep/submit.vm
index 41a186a49a620d399709a466176406dfd519c865..6a3670b0f16477672c4852d6d6f7b9ea3254b426 100644
--- a/dogtag/ra-ui/shared/docroot/ee/scep/submit.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/scep/submit.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>SCEP Router Request Submission</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/server/admin.vm b/dogtag/ra-ui/shared/docroot/ee/server/admin.vm
index 7307aaf508b024f6281c02b210482d568a502104..f73bc3a4b246a46b8034e89fa2ce8bd173dbd495 100644
--- a/dogtag/ra-ui/shared/docroot/ee/server/admin.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/server/admin.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Server Certificate Request</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/server/index.vm b/dogtag/ra-ui/shared/docroot/ee/server/index.vm
index 7d3ca76d57dd1d8aec7f89fdf8507b8462cad3fe..b41404ea8a23980ee81f10d1badbcdc5efaea320 100644
--- a/dogtag/ra-ui/shared/docroot/ee/server/index.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/server/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/server/submit.vm b/dogtag/ra-ui/shared/docroot/ee/server/submit.vm
index 2afb4b8913ba8d4803ed1f7bc1a1779b9066afc2..e0222e6c2bd1c2c525d2d618fd5b9fc748fdbe65 100644
--- a/dogtag/ra-ui/shared/docroot/ee/server/submit.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/server/submit.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>Server Certificate Request Submission</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/user/index.vm b/dogtag/ra-ui/shared/docroot/ee/user/index.vm
index 0a6766f1b560987f91ab8abd9879cdba4e86cd80..59e43db9383289a5c2f564769ceac8c89c8ae30e 100644
--- a/dogtag/ra-ui/shared/docroot/ee/user/index.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/user/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA End-Entity</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/user/renew.vm b/dogtag/ra-ui/shared/docroot/ee/user/renew.vm
index e8b0c90fc5fde58d91586f93b3d54128571a25b4..76fec945bffec17739cf09f002e8dd37d6a46e8f 100644
--- a/dogtag/ra-ui/shared/docroot/ee/user/renew.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/user/renew.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>User Certificate Renewal Notification</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/user/renewal.vm b/dogtag/ra-ui/shared/docroot/ee/user/renewal.vm
index 592468445ed497bd9d402c7767b49b19e0994dcf..e0ae5e92572e5f30cb20e31b4cc010dbaf05ab41 100644
--- a/dogtag/ra-ui/shared/docroot/ee/user/renewal.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/user/renewal.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>User Certificate Renewal</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/user/submit.vm b/dogtag/ra-ui/shared/docroot/ee/user/submit.vm
index 02edb6d580635cb412a1f460b0236b2aa8b7d8cd..432e1f91b7d1e70bc38470ee0280b6c94cd5cde2 100644
--- a/dogtag/ra-ui/shared/docroot/ee/user/submit.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/user/submit.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>User Certificate Request Submission</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ee/user/user.vm b/dogtag/ra-ui/shared/docroot/ee/user/user.vm
index 2da3d3606d308ef2e370e7f1ba256e0028ecc160..e5f6382e772eb1db26bbd3a6898d39218e51a661 100644
--- a/dogtag/ra-ui/shared/docroot/ee/user/user.vm
+++ b/dogtag/ra-ui/shared/docroot/ee/user/user.vm
@@ -29,7 +29,7 @@
 </OBJECT>
 
 <title>User Certificate Request</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/index.vm b/dogtag/ra-ui/shared/docroot/index.vm
index 2b9677f207033c089eda5d0fc592b12d69c6b9d5..650969191f35fa3b8b4dc5dcf339bcda009aa58d 100644
--- a/dogtag/ra-ui/shared/docroot/index.vm
+++ b/dogtag/ra-ui/shared/docroot/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>RA Services</title>
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_addhsm.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_addhsm.vm
index 45002f9cd58c180b26d471826fdcd134c7932111..9e0471d47120352d34dc4acc82aa7b7fdb38ff6b 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_addhsm.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_addhsm.vm
@@ -31,7 +31,7 @@
 
 </SCRIPT>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm
index 4db7b3e53fe5326be1447dac3343d459a8afb772..060b083c39afb74301ed79bdc01633095f677137 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_db.vm
@@ -33,7 +33,7 @@
     }
 </SCRIPT>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_hsm.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_hsm.vm
index ac452893b6c541aa889976ce8ed8ecf47b3477b2..cc4cd8b6c26f9745f655ed7d74a64a0d37e43ef9 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_hsm.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_hsm.vm
@@ -31,7 +31,7 @@
 
 </SCRIPT>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_join.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_join.vm
index bed838ef6b445979360e029dfecdafe5d5ec4892..d8b5dfcb15a850a82d2a1f3261cae39aaf2d213d 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_join.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_join.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_rootca.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_rootca.vm
index 747024acf18deaaf3629b2400ae13eb555bccfc0..9163f564c09dd5678e7c258508b0882862dcf05e 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_rootca.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/config_rootca.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm
index dac518e9fe07988a022829a759f15059779a5897..3aeb472746a2bb87334ebc5dab8a822892cba3a1 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/login.vm
@@ -23,7 +23,7 @@
     
     <title>Certificate System</title>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm
index 25134303f9c2a60089e098326023b4eb44132cac..79e15b1e507ada9bbc15f6c3b56c2fc7e8dc1df9 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/securitydomainloginpanel.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/ca/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
 <META http-equiv=Content-Type content="text/html; charset=UTF-8">
   </head>
diff --git a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/wizard.vm b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/wizard.vm
index 6256703e340a6794a98fe5ad029164efc6ec7c66..382e42eb8b36d0872c28999a266a9ffdc360a5f9 100644
--- a/dogtag/ra-ui/shared/docroot/ra/admin/console/config/wizard.vm
+++ b/dogtag/ra-ui/shared/docroot/ra/admin/console/config/wizard.vm
@@ -23,7 +23,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/ra/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
 
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
diff --git a/dogtag/tks-ui/shared/webapps/tks/404.html b/dogtag/tks-ui/shared/webapps/tks/404.html
index 2fc48f1c026b81876d3503ebf3aaa71eaa9ea244..847a87f43c3445ba3a0447683f7a072f7a86dba2 100755
--- a/dogtag/tks-ui/shared/webapps/tks/404.html
+++ b/dogtag/tks-ui/shared/webapps/tks/404.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/tks/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/tks-ui/shared/webapps/tks/500.html b/dogtag/tks-ui/shared/webapps/tks/500.html
index 88829b9bdb72734f43cede8620bf75e28e7833f0..d54db32e66353b5f500eefba63c5e9999d35eebe 100755
--- a/dogtag/tks-ui/shared/webapps/tks/500.html
+++ b/dogtag/tks-ui/shared/webapps/tks/500.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/tks/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/tks-ui/shared/webapps/tks/agent/tks/index.html b/dogtag/tks-ui/shared/webapps/tks/agent/tks/index.html
index 615afae2c4a101e3673d3439683f157f11fe0e3b..e9e0252228b7f5a10661d26c770322548ccafb0d 100644
--- a/dogtag/tks-ui/shared/webapps/tks/agent/tks/index.html
+++ b/dogtag/tks-ui/shared/webapps/tks/agent/tks/index.html
@@ -20,7 +20,7 @@
 <head>
   <meta http-equiv="content-type"
  content="text/html; charset=ISO-8859-1">
-  <link rel="shortcut icon" href="/tks/agent/graphics/favicon.ico" />
+  <link rel="shortcut icon" href="/pki/images/favicon.ico" />
   <title>TKS Agent</title>
 </head>
 <body>
diff --git a/dogtag/tks-ui/shared/webapps/tks/services.template b/dogtag/tks-ui/shared/webapps/tks/services.template
index be72e2cdc04af6a961d8c09ae79c9aea62481ffc..e3ea6878cc161180420fa7c77b31f903b053cc87 100644
--- a/dogtag/tks-ui/shared/webapps/tks/services.template
+++ b/dogtag/tks-ui/shared/webapps/tks/services.template
@@ -19,7 +19,7 @@
 <html>
 <CMS_TEMPLATE>
 <title>TKS Services</title>
-    <link rel="shortcut icon" href="img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/tps-ui/shared/docroot/404.html b/dogtag/tps-ui/shared/docroot/404.html
index b4181fcf914f290bce0284aa3526ef2c4cd7f038..63674aae52f3f30e8d188e0f080ee62bb3d76f3f 100755
--- a/dogtag/tps-ui/shared/docroot/404.html
+++ b/dogtag/tps-ui/shared/docroot/404.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/tps/admin/console/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/tps-ui/shared/docroot/500.html b/dogtag/tps-ui/shared/docroot/500.html
index b868922c7aeb84a19c5a5459a95251a325fc2c4e..8334276fcf2d8e9c3e99bc852cc4eee56ef6db82 100755
--- a/dogtag/tps-ui/shared/docroot/500.html
+++ b/dogtag/tps-ui/shared/docroot/500.html
@@ -34,7 +34,7 @@ document.write('//');
 document.write(hostname);
 document.write(':');
 document.write(port);
-document.write('/tps/admin/console/img/favicon.ico');
+document.write('/pki/images/favicon.ico');
 document.write('" />');
 document.write('<link rel="stylesheet" href="');
 document.write(protocol);
diff --git a/dogtag/tps-ui/shared/docroot/index.vm b/dogtag/tps-ui/shared/docroot/index.vm
index e9a3361e95438f94dbabde8ec029b2fdae220e2f..c1b4d57b39d426e06ee14cc2ed8faabf65f30b63 100755
--- a/dogtag/tps-ui/shared/docroot/index.vm
+++ b/dogtag/tps-ui/shared/docroot/index.vm
@@ -19,7 +19,7 @@
 <html>
 
 <title>TPS Services</title>
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
 
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/addConfig.template b/dogtag/tps-ui/shared/docroot/tokendb/addConfig.template
index 4051ead83b36c4e635eac8e67e08c5a0e159f6f0..9a9bc46d8f0bc7af9c4ae5365fb958105c2ff191 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/addConfig.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/addConfig.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/addResults.template b/dogtag/tps-ui/shared/docroot/tokendb/addResults.template
index cf2f64769ed406395d2fe200568481b6463b112a..d4407374739e20e1fe12486f7aa17c6da4a25a6d 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/addResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/addResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template b/dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template
index 3d22858cd3f015d889205205f20626e9c7fba2e6..f1cba39728387322f38890874a07bbff7d435f8c 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/agentSelectConfig.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template b/dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template
index 29f2dd1d51723294cb592965999873797959819f..05da5830a379a841f1321e352d1b91f27c7b43f3 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/agentViewConfig.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template b/dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template
index 46abadf6c2423295b67914f6ce6e1116ac2c3ee5..71c203b54441eaf85fe31d499a5ccd5cf81255cf 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/auditAdmin.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template b/dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template
index 8dfe535541c3f6cc49c23424a3c78822796fbdbf..87fd9132b8f1e81a70ef54ce63083224b681b62c 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/confirmConfigChanges.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template b/dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template
index 08fc65cdcff44f54a1140882d48170f659ab9ec2..42341f3fa18c8c36ab4cc36caefd325cceba04d4 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/confirmDeleteConfig.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/delete.template b/dogtag/tps-ui/shared/docroot/tokendb/delete.template
index eb854fdd2ccc6df3c80b6fd7946101fe05554d74..d31cd1d00e9a646acbf96099caef46ea662a177b 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/delete.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/delete.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template b/dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template
index 4d7d0987197cc3b3786c1bc804404777b8d69581..56b63725ef13cd96661a11a446db8e6d9ca86d74 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/deleteResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/doToken.template b/dogtag/tps-ui/shared/docroot/tokendb/doToken.template
index a86288c7cf75cd5b118c2dd427d71fa52910240f..d430f3542f362bccd0cfd39154cc06076ee1d2d7 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/doToken.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/doToken.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template b/dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template
index 88068af7860cb91bb2406890c0bb45a8b241ca7a..b68a4148588ea7fd6611a8ff10822f562f74621e 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/doTokenConfirm.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/edit.template b/dogtag/tps-ui/shared/docroot/tokendb/edit.template
index 2e926992b19465100f9ecb0f469e47424ff17e21..302e701eaeaa5d79f04686c5c77d97ee8c812458 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/edit.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/edit.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/editConfig.template b/dogtag/tps-ui/shared/docroot/tokendb/editConfig.template
index ff52f90d9454a72988b541b32c36bb6e172cae23..8b242ab7693620338a74199205a3b28e42abab7c 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/editConfig.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/editConfig.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/editResults.template b/dogtag/tps-ui/shared/docroot/tokendb/editResults.template
index d5d7c7dc22694a00d89871fc056ff0f88c31ccaa..ea944416631bac04ef1185b65f2e7e656dc56dbd 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/editResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/editResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/editUser.template b/dogtag/tps-ui/shared/docroot/tokendb/editUser.template
index 2a69e65f4563f88a262345480cd32527c2666af1..f346eba35a7b7e264e8ef0c02f27c89e3e880613 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/editUser.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/editUser.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/error.template b/dogtag/tps-ui/shared/docroot/tokendb/error.template
index f698925d0d63137f3647bce72601529a9264329c..1bdf3dd32c560c50deaadaa3afe6e537e853d4f2 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/error.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/error.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS Error!</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/index.template b/dogtag/tps-ui/shared/docroot/tokendb/index.template
index d49a69b61c34df7679a1ddf0bee25ba87af2eb5b..a51a8b6966ce167255f95ad7c8dcfdf5b0633bae 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/index.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/index.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS Agent</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template b/dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template
index 9164dd7482fabdc4af52ffeb5d308153887d313c..c6a6720893c90c3d3f74d727312d66244c2630b1 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/indexAdmin.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS Admin</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template b/dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template
index 27b25c08a977d50876b7b2593174bdfd9b4dcc00..cf1cf1f9e993f0875522d467665b95c23abb38f7 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/indexOperator.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS Operator</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/new.template b/dogtag/tps-ui/shared/docroot/tokendb/new.template
index 4e2950fbd252aaff210556eba1f6dc835e38a9ef..deba4f783c6236c1f789249e5ce7eb24833d8ed5 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/new.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/new.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/newUser.template b/dogtag/tps-ui/shared/docroot/tokendb/newUser.template
index c1e4f102b2af7283bacedf98b6c9ad81048981c4..45c60a5734ad4be1618e101c23cefad6a249ac04 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/newUser.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/newUser.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/revoke.template b/dogtag/tps-ui/shared/docroot/tokendb/revoke.template
index 0f6c12aaf189368c63c994b7be05873598828fcc..2fd13d95f6e8e41619a185b45788085e6af9b4dd 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/revoke.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/revoke.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/search.template b/dogtag/tps-ui/shared/docroot/tokendb/search.template
index caf4fe7bac9366890465a86d9fe9a7b47e4f1406..8b83fca6623fefb42eaf6abeba3454ba5fbf628c 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/search.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/search.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template b/dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template
index 7bf87c0b11773d43518daa11cb6c5db20d2cf533..b9af1108b140bd02de0774c15fb0ab0d26331532 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchActivity.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template b/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template
index faec9c6e1110bc93cdaafee82f1fbef1012097ab..2deb2c5f8cd4e57c5fb324a05c64e418384590af 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdmin.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template b/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template
index d38d8569b41abcede5929ff83de41063093dbe3a..65b25c25d6313eef9f0e50704437e19dfc02e8bb 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchActivityAdminResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template b/dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template
index 132fb8c97b0dcca650df540236bfa66439227694..8522b24f0afd54d6be30acf40f622c002905b978 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchActivityResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template b/dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template
index b18185299193db835a47f9916dbd5ada8e1f0f2c..da68089f0e622f4a4c876ff0aa349036d34e579e 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchAdmin.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template b/dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template
index 6e8d81fd4c42a86b39d86a355e46f575a72d3d2a..be622243788bb8692904c965cf6a0923142ae214 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchAdminResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template b/dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template
index df9d51c0d662d18bc1f4730df571d000af3e8f93..9d9e31ceea3aeea687d6539ab799aa8df9108717 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchCertificate.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template b/dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template
index 51ac611a6f8bbd8b754e7aac520c3095deda8e57..c709a37510946acd7b6d2e4e23dacd147cd247d6 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchCertificateResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchResults.template b/dogtag/tps-ui/shared/docroot/tokendb/searchResults.template
index 6b035debf84f1916efd8080cbd0e89b967310a1b..cb11b82fc52778afd9c2f11e78a04b19e4cf4533 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchUser.template b/dogtag/tps-ui/shared/docroot/tokendb/searchUser.template
index 1aa63ca17d9b239bfcda84754dc48c662105089d..70bc312099646dbe36b1ad05d4618fadc7efee30 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchUser.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchUser.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template b/dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template
index 7d4ce8fa0635d049c126fe28f3287de8a279a35e..d0cf11fe0f3c951d506e376580c0b27ca3efe4a5 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/searchUserResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template b/dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template
index c28f03efe5a5af7abd4fa99427425d96cafe0ffd..120579d7e03418d4a0254aeb7042e7ecbe4b2d79 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/selectConfig.template
@@ -19,7 +19,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/selfTest.template b/dogtag/tps-ui/shared/docroot/tokendb/selfTest.template
index 22002f52d7e15ecfaec4398ed973e722c8355f63..46b8bfdbf001be5b7b183d291102651bbbeb3761 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/selfTest.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/selfTest.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template b/dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template
index 3495abaf682043ff88b32840ce623ded861aac3d..3a352f0c7d98fe63cdeecd14f344412defe753f0 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/selfTestResults.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/show.template b/dogtag/tps-ui/shared/docroot/tokendb/show.template
index e30365aa622c77d284f99bb5e42e8658d9627d71..5b75c67229f793574d2c981013e6fb20f082b89c 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/show.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/show.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template b/dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template
index a0106f1d8794e45b840d33a17dd433a9afc52649..592c6be15d101138bfcd0f08bc77bf7e6631d96a 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/showAdmin.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/showCert.template b/dogtag/tps-ui/shared/docroot/tokendb/showCert.template
index 493d4a7801e552e857f32e89ddfa469cc3395af4..54fec4f4fef8cadaac2fa6c8272ad6cf44fe7f9d 100644
--- a/dogtag/tps-ui/shared/docroot/tokendb/showCert.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/showCert.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tokendb/userDelete.template b/dogtag/tps-ui/shared/docroot/tokendb/userDelete.template
index 6d957f915210c900450be689fee37bc196bed36a..2b7e6a6e1738ff42ec3e0284dfe1143ddea5bf75 100755
--- a/dogtag/tps-ui/shared/docroot/tokendb/userDelete.template
+++ b/dogtag/tps-ui/shared/docroot/tokendb/userDelete.template
@@ -18,7 +18,7 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
-<link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+<link rel="shortcut icon" href="/pki/images/favicon.ico" />
 <HEAD>
 <TITLE>TPS</Title>
 </HEAD>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm
index 6a3f9fca7e26228f7bc891f8f767541f55efda1e..8e22d5470755ed4f5ba98f6aaa8c5cd9f7494a4e 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_addhsm.vm
@@ -30,7 +30,7 @@
 
 </SCRIPT>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
index dedb817b3caeb328cc343cb714ceec4c7cde7d49..d1f0ed55b070c7a49d53e13f699cc6995a58a389 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_db.vm
@@ -32,7 +32,7 @@
     }
 </SCRIPT>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm
index 6d1ad6a2372fb67a87809431f607ea039ce0c788..e6b3e0e1813da64101a8f334b4c2d0dd07332d62 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_hsm.vm
@@ -30,7 +30,7 @@
 
 </SCRIPT>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm
index 1cbbab461ef9ab68e9c7f7ce0b9c05fac4c354d5..71c26bdb3237ca136fdf4f87d962d05ea4f87064 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_join.vm
@@ -22,7 +22,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm
index b1fed97f2d944a301e23c15bbd805b5f02fe60b9..4e85a2077f1e90b436065d6f323b627f3e7f3834 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/config_rootca.vm
@@ -22,7 +22,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
index dc9e7822dd952a377f37cd8aed9d56d3125cd83b..256db415917f7516843aa2402ab7e941a2892ae1 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/login.vm
@@ -22,7 +22,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
   </head>
 
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
index 04fd723f8c3e00e8dcf59289a7a432f821efb6a8..56c40dfa6196872eb2bd0d48e217cc5812de7774 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/securitydomainloginpanel.vm
@@ -22,7 +22,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/ca/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/pki-base.css" type="text/css" />
 <META http-equiv=Content-Type content="text/html; charset=UTF-8">
   </head>
diff --git a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm
index 9d16ad8d3db2bd3dcb5aaf78b2a2fcf9c4019480..cd689591190f17cf582199a79870b661b8a5b64c 100644
--- a/dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm
+++ b/dogtag/tps-ui/shared/docroot/tps/admin/console/config/wizard.vm
@@ -22,7 +22,7 @@
     
     <title>Dogtag Certificate System</title>
 
-    <link rel="shortcut icon" href="/tps/admin/console/img/favicon.ico" />
+    <link rel="shortcut icon" href="/pki/images/favicon.ico" />
     <link rel="stylesheet" href="/css/pki-base.css" type="text/css" />
 
     <META http-equiv=Content-Type content="text/html; charset=UTF-8">
-- 
1.7.12.1

